/*
 * This file is part of the ToolBox.
 * Copyright Thomas Jacob.
 *
 * READ README.TXT BEFORE USE!!
 */


#ifndef __TOOLBOX_WRAPPERS_INL
#define __TOOLBOX_WRAPPERS_INL


// --- Class Bool ---

inline bool Bool::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void Bool::Set(bool value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class Char ---

inline char Char::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void Char::Set(char value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class Double ---

inline double Double::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void Double::Set(double value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class Float ---

inline float Float::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void Float::Set(float value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class Int ---

inline int Int::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void Int::Set(int value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class LongDouble ---

inline long double LongDouble::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void LongDouble::Set(long double value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class LongInt ---

inline long LongInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void LongInt::Set(long value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class Pointer ---

inline void * Pointer::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void Pointer::Set(void * value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class ShortInt ---

inline short ShortInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void ShortInt::Set(short value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class SignedChar ---

inline signed char SignedChar::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void SignedChar::Set(signed char value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class SignedInt ---

inline signed int SignedInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void SignedInt::Set(signed int value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class SignedLongInt ---

inline signed long SignedLongInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void SignedLongInt::Set(signed long value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class SignedShortInt ---

inline signed short SignedShortInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void SignedShortInt::Set(signed short value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class UnsignedChar ---

inline unsigned char UnsignedChar::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void UnsignedChar::Set(unsigned char value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class UnsignedInt ---

inline unsigned int UnsignedInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void UnsignedInt::Set(unsigned int value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class UnsignedLongInt ---

inline unsigned long UnsignedLongInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void UnsignedLongInt::Set(unsigned long value)
{
	ASSERTION_THIS;
	Value = value;
}


// --- Class UnsignedShortInt ---

inline unsigned short UnsignedShortInt::Get()
{
	ASSERTION_THIS;
	return Value;
}

inline void UnsignedShortInt::Set(unsigned short value)
{
	ASSERTION_THIS;
	Value = value;
}


#endif
