/*
 * This file is part of the ToolBox.
 * Copyright Thomas Jacob.
 *
 * READ README.TXT BEFORE USE!!
 */


// Main header file
#include <ToolBox\Headers.h>


// --- Class HashSet ---

HashSet::HashSet()
	: HashMap<Void>()
{
}

HashSet::HashSet(long initSize)
	: HashMap<Void>(initSize)
{
}

HashSet::HashSet(long initSize, int desiredFillRatio)
	: HashMap<Void>(initSize, desiredFillRatio)
{
}

HashSet::~HashSet()
{
}

#ifdef _TOOLBOX_TEST
	void HashSet::RunTestSuite(int * performedTests, int * failedTests)
	{
	}
#endif


// --- Class IntKeyHashSet ---

IntKeyHashSet::IntKeyHashSet()
	: IntKeyHashMap<Void>()
{
}

IntKeyHashSet::IntKeyHashSet(long initSize)
	: IntKeyHashMap<Void>(initSize)
{
}

IntKeyHashSet::IntKeyHashSet(long initSize, int desiredFillRatio)
	: IntKeyHashMap<Void>(initSize, desiredFillRatio)
{
}

IntKeyHashSet::~IntKeyHashSet()
{
}

#ifdef _TOOLBOX_TEST
	void IntKeyHashSet::RunTestSuite(int * performedTests, int * failedTests)
	{
	}
#endif


// --- Class StringKeyHashSet ---

StringKeyHashSet::StringKeyHashSet()
	: StringKeyHashMap<Void>()
{
}

StringKeyHashSet::StringKeyHashSet(long initSize)
	: StringKeyHashMap<Void>(initSize)
{
}

StringKeyHashSet::StringKeyHashSet(long initSize, int desiredFillRatio)
	: StringKeyHashMap<Void>(initSize, desiredFillRatio)
{
}

StringKeyHashSet::~StringKeyHashSet()
{
}

#ifdef _TOOLBOX_TEST
	void StringKeyHashSet::RunTestSuite(int * performedTests, int * failedTests)
	{
	}
#endif


// --- Class ICStringKeyHashSet ---

ICStringKeyHashSet::ICStringKeyHashSet()
	: ICStringKeyHashMap<Void>()
{
}

ICStringKeyHashSet::ICStringKeyHashSet(long initSize)
	: ICStringKeyHashMap<Void>(initSize)
{
}

ICStringKeyHashSet::ICStringKeyHashSet(long initSize, int desiredFillRatio)
	: ICStringKeyHashMap<Void>(initSize, desiredFillRatio)
{
}

ICStringKeyHashSet::~ICStringKeyHashSet()
{
}

#ifdef _TOOLBOX_TEST
	void ICStringKeyHashSet::RunTestSuite(int * performedTests, int * failedTests)
	{
	}
#endif
